> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/server/es/knowledge-base/how-to-articles/enable-the-recording-server-log.md).

# Habilitar el registro del servidor de grabación

Habilite el registro para el servidor de grabación heredado de Devolutions Server editando el fichero log4net.config y reiniciando los servicios Collector y Processor.

{% hint style="info" %}
Esta versión del servidor de grabación ya no está soportada.
{% endhint %}

El siguiente procedimiento describe cómo habilitar la utilidad de registro del ***Recording Server*** de Devolutions Server.

### Habilitar los registros

1. Para editar el fichero **log4net.config**, haga clic en el botón ***Explore*** de la sección ***Recording Server*** de la pestaña ***Companions*** en la Devolutions Server Console.
2. Establezca el parámetro file value con la ruta completa del fichero de registro. Asegúrese de que las barras invertidas estén duplicadas.

{% hint style="warning" %}
Asegúrese de que la carpeta de destino de los registros tenga permisos de escritura.
{% endhint %}

3. Establezca el parámetro level value en ALL.
4. Reinicie los servicios Collector y Processor en el servidor después de cualquier modificación de estos ficheros.

{% hint style="info" %}
Asegúrese de volver a establecer el valor de level en ERROR y de reiniciar los servicios una vez finalizada la investigación.
{% endhint %}

```
<?xml version="1.0" encoding="utf-8" ?>
<log4net>
  <appender name="RollingFile" type="log4net.Appender.RollingFileAppender">
    <file value="c:\\Logs\\collector.log" />
    <appendToFile value="true" />
    <maximumFileSize value="1MB" />
    <maxSizeRollBackups value="5" />
    <layout type="log4net.Layout.PatternLayout">
      <conversionPattern value="%date %5level %logger.%method [%line] - MESSAGE: %message%newline %exception" />
    </layout>
  </appender>
  <root>
    <level value="ALL" />
    <appender-ref ref="RollingFile" />
  </root>
</log4net>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/server/es/knowledge-base/how-to-articles/enable-the-recording-server-log.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
